
#dsView {
    overflow: hidden;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto auto auto 1fr;
    grid-template-areas: "buttonarea" "contextarea" "tablecontrolarea" "tablearea";
    width: 100%;
    height: 100%;
}

.buttoncontainerDS>button:disabled{
    color: darkgrey;
}

.dsContextContainer>button:disabled{
    color: darkgrey;
}

.buttoncontainerDS {
    grid-area: buttonarea;
    display: grid;
    grid-template-columns: auto auto;
}

.dsContextContainer{
    grid-area: buttonarea;
    display: grid;
    grid-template-columns: auto auto;
}

.dsContextContainer{
    grid-area: contextarea;
}

.buttoncontainerDS>.marmorbutton, .buttoncontainerDS>label{
    padding: 4px;
    margin: 4px;
    font-family: Georgia,Verdana,Calibri,Helvetica,Arial,Sans-serif;
    font-size: 1.1em;
}

.dsContextContainer>.marmorbutton, .dsContextContainer>label{
    padding: 4px;
    margin: 4px;
    font-family: Georgia,Verdana,Calibri,Helvetica,Arial,Sans-serif;
    font-size: 1.1em;
}

.tablecontainerDS{
    grid-area: tablearea;
    height:420px;
}
.dsCreation:disabled{
    color: darkgrey;
}

.buttoncontainerDS {
    grid-area: buttonarea;
    display: grid;
    grid-template-columns: auto auto;
}

.dsContextContainer{
    grid-area: buttonarea;
    display: grid;
    grid-template-columns: auto auto;
}

.dsContextContainer{
    grid-area: contextarea;
}

.buttoncontainerDS>.marmorbutton, .buttoncontainerDS>label{
    padding: 4px;
    margin: 4px;
    font-family: Georgia,Verdana,Calibri,Helvetica,Arial,Sans-serif;
    font-size: 1.1em;
}

.dsContextContainer>.marmorbutton, .dsContextContainer>label{
    padding: 4px;
    margin: 4px;
    font-family: Georgia,Verdana,Calibri,Helvetica,Arial,Sans-serif;
    font-size: 1.1em;
}

